## Geocode Earth: Autocomplete

Provides a field widget for text-fields to allow for the
Autocomplete element (Web Component) for use with the Geocode
Earth Autocomplete API.

### Requirements

Requires API key from Geocode Earth:

https://geocode.earth/docs/intro/authentication/

Requires the Key module:

https://www.drupal.org/project/key

### Documentation

https://geocode.earth/docs
https://geocode.earth/docs/components/autocomplete-element/

### Install/Usage

* Install and enable module like any other contributed module.
* Configure Geocode Earth API key: **/admin/config/geocode-earth-autocomplete**
* Configure or create new textfield field on Entity.
* Goto "Manage form display" and select the textfield you wish to
  use. "Geocode Earth Autocomplete" widget should be available for
selection.
* Configure any necessary settings for the field widget.
* Save form display settings.
* You should now be able to use the widget on entity add/edit forms.

### Maintainers

George Anderson (geoanders)
https://www.drupal.org/u/geoanders
